SDL_CameraDeviceEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_CameraID | which

## Detailed Description

Camera device event structure (event.cdevice.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 739 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_CameraDeviceEvent::reserved

Definition at line 742 of file SDL_events.h.

## timestamp

Uint64 SDL_CameraDeviceEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 743 of file SDL_events.h.

## type

SDL_EventType SDL_CameraDeviceEvent::type

SDL_EVENT_CAMERA_DEVICE_ADDED, SDL_EVENT_CAMERA_DEVICE_REMOVED, SDL_EVENT_CAMERA_DEVICE_APPROVED, SDL_EVENT_CAMERA_DEVICE_DENIED

Definition at line 741 of file SDL_events.h.

## which

SDL_CameraID SDL_CameraDeviceEvent::which

SDL_CameraID for the device being added or removed or changing

Definition at line 744 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h